com.corticon.rulesemf.assetmodel

## Interface RuleflowAsset

- All Superinterfaces:
    Asset, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface RuleflowAsset
      extends Asset

  A representation of the model object 'Ruleflow Asset'.

  The following features are supported:

  - `Rulesheet Assets`
  - `Ruleflow`
  - `Ruleflow View List`
  See Also:
    `AssetmodelPackage.getRuleflowAsset()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Ruleflow` | `getRuleflow()` Returns the value of the 'Ruleflow' containment reference
    `org.eclipse.emf.common.util.EList` | `getRuleflowViewList()` Returns the value of the 'Ruleflow View List' containment reference list.
    `org.eclipse.emf.common.util.EList` | `getRulesheetAssets()` Returns the value of the 'Rulesheet Assets' reference list.
    `void` | `setRuleflow(Ruleflow value)` Sets the value of the '`Ruleflow`' containment reference

    - ### Methods inherited from interface com.corticon.rulesemf.common.Asset

      `getBuildNumber, getExternalChecksum, getLanguageCode, getMajorServiceNumber, getMajorVersionNumber, getMinorServiceNumber, getMinorVersionNumber, getResourcesReferenced, getResourceURIsReferenced, getUpdateStamp, getValidationMessages, getValidationRequest, isReadOnly, setBuildNumber, setExternalChecksum, setMajorServiceNumber, setMajorVersionNumber, setMinorServiceNumber, setMinorVersionNumber, setReadOnly, setUpdateStamp, setValidationRequest`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getRulesheetAssets

          org.eclipse.emf.common.util.EList getRulesheetAssets()

      Returns the value of the 'Rulesheet Assets' reference list. The list contents are of type `RulesheetAsset`.

      If the meaning of the 'Rulesheet Assets' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Rulesheet Assets' reference list.
      See Also:
        `AssetmodelPackage.getRuleflowAsset_RulesheetAssets()`

    - #### getRuleflow

          Ruleflow getRuleflow()

      Returns the value of the 'Ruleflow' containment reference.

      If the meaning of the 'Ruleflow' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Ruleflow' containment reference.
      See Also:
        `setRuleflow(Ruleflow)`, `AssetmodelPackage.getRuleflowAsset_Ruleflow()`

    - #### setRuleflow

          void setRuleflow(Ruleflow value)

      Sets the value of the '`Ruleflow`' containment reference.
      Parameters:
        `value` - the new value of the 'Ruleflow' containment reference.
      See Also:
        `getRuleflow()`

    - #### getRuleflowViewList

          org.eclipse.emf.common.util.EList getRuleflowViewList()

      Returns the value of the 'Ruleflow View List' containment reference list. The list contents are of type `RuleflowView`.

      If the meaning of the 'Ruleflow View List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Ruleflow View List' containment reference list.
      See Also:
        `AssetmodelPackage.getRuleflowAsset_RuleflowViewList()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.